> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dashboard

> Aggregate workspace state for the operator dashboard.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/workspace/dashboard
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/workspace/dashboard:
    get:
      tags:
        - v1
        - protected
        - dashboard
      summary: Get Dashboard
      description: Aggregate workspace state for the operator dashboard.
      operationId: get_dashboard_v1_workspace_dashboard_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardResponse'
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    DashboardResponse:
      properties:
        agents:
          items:
            $ref: '#/components/schemas/AgentRow'
          title: Agents
          type: array
        blockers:
          $ref: '#/components/schemas/Blockers'
        daily_spend:
          items:
            $ref: '#/components/schemas/DailySpendPoint'
          title: Daily Spend
          type: array
        daily_tasks:
          items:
            $ref: '#/components/schemas/DailyTaskCounts'
          title: Daily Tasks
          type: array
        spend:
          $ref: '#/components/schemas/SpendCard'
      required:
        - spend
        - blockers
        - agents
        - daily_spend
        - daily_tasks
      title: DashboardResponse
      type: object
    AgentRow:
      properties:
        agent_id:
          format: uuid
          title: Agent Id
          type: string
        cost_mtd_usd:
          title: Cost Mtd Usd
          type: number
        cost_today_usd:
          title: Cost Today Usd
          type: number
        last_activity_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Activity At
        name:
          title: Name
          type: string
        recent_task_names:
          items:
            type: string
          title: Recent Task Names
          type: array
        tasks_done_today:
          title: Tasks Done Today
          type: integer
        tasks_failed_today:
          title: Tasks Failed Today
          type: integer
      required:
        - agent_id
        - name
        - tasks_done_today
        - tasks_failed_today
        - recent_task_names
        - last_activity_at
        - cost_today_usd
        - cost_mtd_usd
      title: AgentRow
      type: object
    Blockers:
      properties:
        failed_24h:
          items:
            $ref: '#/components/schemas/FailedTaskBlocker'
          title: Failed 24H
          type: array
        hitl:
          items:
            $ref: '#/components/schemas/HitlBlocker'
          title: Hitl
          type: array
        wallet_exhausted:
          items:
            $ref: '#/components/schemas/WalletExhaustedBlocker'
          title: Wallet Exhausted
          type: array
      required:
        - hitl
        - wallet_exhausted
        - failed_24h
      title: Blockers
      type: object
    DailySpendPoint:
      properties:
        date:
          title: Date
          type: string
        usd:
          title: Usd
          type: number
      required:
        - date
        - usd
      title: DailySpendPoint
      type: object
    DailyTaskCounts:
      properties:
        completed:
          title: Completed
          type: integer
        date:
          title: Date
          type: string
        failed:
          title: Failed
          type: integer
        input_required:
          title: Input Required
          type: integer
      required:
        - date
        - completed
        - failed
        - input_required
      title: DailyTaskCounts
      type: object
    SpendCard:
      properties:
        cap_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Cap Usd
        mtd_usd:
          title: Mtd Usd
          type: number
        pct_of_cap:
          anyOf:
            - type: number
            - type: 'null'
          title: Pct Of Cap
        projected_eom_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Projected Eom Usd
        projection_method:
          default: linear-mtd
          title: Projection Method
          type: string
        today_usd:
          title: Today Usd
          type: number
      required:
        - today_usd
        - mtd_usd
        - cap_usd
        - pct_of_cap
        - projected_eom_usd
      title: SpendCard
      type: object
    FailedTaskBlocker:
      properties:
        agent_id:
          format: uuid
          title: Agent Id
          type: string
        agent_name:
          title: Agent Name
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        occurred_at:
          title: Occurred At
          type: string
        task_id:
          format: uuid
          title: Task Id
          type: string
      required:
        - task_id
        - agent_id
        - agent_name
        - error
        - occurred_at
      title: FailedTaskBlocker
      type: object
    HitlBlocker:
      properties:
        agent_id:
          format: uuid
          title: Agent Id
          type: string
        agent_name:
          title: Agent Name
          type: string
        created_at:
          title: Created At
          type: string
        description:
          title: Description
          type: string
        task_id:
          format: uuid
          title: Task Id
          type: string
      required:
        - task_id
        - agent_id
        - agent_name
        - description
        - created_at
      title: HitlBlocker
      type: object
    WalletExhaustedBlocker:
      properties:
        agent_id:
          format: uuid
          title: Agent Id
          type: string
        agent_name:
          title: Agent Name
          type: string
        budget_usd:
          title: Budget Usd
          type: number
        period:
          title: Period
          type: string
      required:
        - agent_id
        - agent_name
        - budget_usd
        - period
      title: WalletExhaustedBlocker
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````